import request from '@/assets/js/utils/request'
import getUrl from '@/assets/js/utils/get-url'

// 上传到知识库 - 预处理文件
export function preprocessEmbedding(data) {
  return request({
    url: getUrl('/datasetDocumentEx/preprocess/embedding'),
    method: 'post',
    data
  })
}

// 上传到知识库 - 拆分内容
export function splitEmbedding(data) {
  return request({
    url: getUrl(`/datasetDocumentEx/split/embedding`),
    method: 'post',
    data
  })
}

// 上传到知识库 - 题词内容
export function extractEmbedding(data) {
  return request({
    url: getUrl(`/datasetDocumentEx/extract/embedding`),
    method: 'post',
    data
  })
}

// 上传到知识库 - 原文件
export function directEmbedding(data) {
  return request({
    url: getUrl(`/datasetDocumentEx/direct/embedding`),
    method: 'post',
    data
  })
}

// 分段预览 - 源文件
export function segmentEstimate(data) {
  return request({
    url: getUrl(`/datasetDocumentEx/direct/segment_estimate`),
    method: 'post',
    data
  })
}

// 分段预览-预处理文件
export function preprocessSegmentEstimate(data) {
  return request({
    url: getUrl(`/datasetDocumentEx/preprocess/segment_estimate`),
    method: 'post',
    data
  })
}

// 分段预览-拆分内容
export function splitSegmentEstimate(data) {
  return request({
    url: getUrl(`/datasetDocumentEx/split/segment_estimate`),
    method: 'post',
    data
  })
}

// 分段预览-题词内容
export function extractSegmentEstimate(data) {
  return request({
    url: getUrl(`/datasetDocumentEx/extract/segment_estimate`),
    method: 'post',
    data
  })
}
